## barry 0.2.1

=== DESCRIPTION ===
Package: barry
Type: Package
Title: Your Go-to Motif Accountant
Version: 0.2.1
Depends: R (>= 4.1.0)
Authors@R: c(
  person(given="George", family="Vega Yon", role=c("aut", "cre"),
  email="g.vegayon@gmail.com", comment = c(ORCID = "0000-0002-3171-0844"))
  )
Description: Provides the 'C++' header-only library 'barry' for use in R packages. 
 'barry' is a 'C++' template library for counting sufficient statistics on binary 
 arrays and building discrete exponential-family models. It provides tools for 
 sparse arrays, user-defined count statistics, support set constraints, 
 power set generation, and includes modules for Discrete Exponential Family Models 
 (DEFMs) and network statistics. By placing these headers in this package, we 
 offer an efficient distribution system for CRAN as replication of this code in 
 the sources of other packages is avoided. This package follows the same 
 approach as the 'BH' package which provides 'Boost' headers for R packages.
URL: https://github.com/USCbiostats/barryr,
        https://uscbiostats.github.io/barryr/
BugReports: https://github.com/USCbiostats/barryr/issues
License: MIT + file LICENSE
RoxygenNote: 7.3.3
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2025-11-24 20:51:09 UTC; runner
Author: George Vega Yon [aut, cre] (ORCID:
    <https://orcid.org/0000-0002-3171-0844>)
Maintainer: George Vega Yon <g.vegayon@gmail.com>
Repository: CRAN
Date/Publication: 2025-12-01 13:50:02 UTC
