=== debian/changelog ===
barry (0.18.3-5~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- intrigeri <intrigeri@debian.org>  Fri, 23 Nov 2012 17:04:50 +0100

barry (0.18.3-5) unstable; urgency=low

  * Removed dependency on ppp for kfreebsd, since kernel side pppd is not
    available, and freebsd-ppp is not fully supported yet.  Also changed
    barrydeskop's ppp Depend into a Recommend, since Barry can technically
    run without it. (Closes: #678233)

 -- Chris Frey <cdfrey@foursquare.net>  Fri, 22 Jun 2012 17:56:40 -0400

barry (0.18.3-3) unstable; urgency=low

  * Fixed build-dep order for autopoint (Closes: #676321)

 -- Chris Frey <cdfrey@foursquare.net>  Wed, 06 Jun 2012 17:08:40 -0400

barry (0.18.3-2) unstable; urgency=low

  [Chris Frey]
  * New upstream version 0.18.3 (Closes: #582189, #582187, #657076, LP: #500370)
  * Moved opensync-plugin into its own build
  * Removed dependency of libbarry-dev on libusb-dev
  * Removed .la files
  * Added new PPP chat scripts, including: kpn, telus, optus, vodafone AU,
    orangeuk, mts
  * Added new programs: bwatch, btarcmp, bjdwp, balxparse, bio, brawchannel
  * New udev rules set, and now under /lib/udev/rules.d
  * Added Bash and Zsh completion scripts
  * Updated Standards-Version to 3.9.3
  * Reviewed debhelper(7) manpage changes and updated compat to 7 (2012/03/03)
  * New logo and icons
  * Added NLS support
  * Moved hal-blackberry script to /usr/lib/barry/
  * Added lintian override for libosyncwrap in the barrydesktop package
  * Updated debian/rules to allow for building with an external debian/
    directory.
  * Install examples and documentation.
  * Configure --with-zlib and --enable-boost.
  * Add gettext, autopoint, libsdl-dev, and libxml++2.6-dev to build-deps.
  * Added support for hardened builds
  * Use 3.0 (quilt) source format, as per intrigeri's patch

  [ intrigeri ]
  * Drop obsolete patch, stop using deprecated simple-patchsys.
  * Use 3.0 (quilt) source format.
  * Make barry-util.postinst script use 'set -e' rather than '/bin/sh -e'.
  * Avoid duplicate short descriptions.
  * Fix typo in description (Closes: #598878)
  * Fix syntax of old debian/changelog entry.
  * Fix section of -dbg packages.
  * Add Homepage control field.
  * Link to the correct version of GPL and LGPL.
  * Revert useless changes to upstream files.

  [ Martin Owens ]
  * Add versionned dependency from barry-util and barrybackup-gui on libbarry0.

 -- Chris Frey <cdfrey@foursquare.net>  Tue, 15 May 2012 01:32:40 -0400

barry (0.15-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Install udev rules into /lib/udev/rules.d (Closes: #561243, #622564)
  * Fix uninstallability on kfreebsd-* by making barry-util depend on udev
    on Linux only (Closes: #639594)
  * Install udev rules on Linux only.

 -- intrigeri <intrigeri+debian@boum.org>  Sun, 16 Oct 2011 20:04:55 +0200

barry (0.15-1.1) unstable; urgency=low

  * Non-maintainer upload
  * Maintainer most apparently MIA
  * Remove opensync plugins, closes: #569443, #591990
    Thanks: Mathias Klose <doko@ubuntu.com>
  * added missing bjavaloader and bfuse programs, closes: #548317
    Thanks: Fabrice Coutadeur <fabricesp@ubuntu.com>
  * Remove .la file (no reverse build dependencies), closes: #621271

 -- Riku Voipio <riku.voipio@linaro.org>  Tue, 16 Aug 2011 10:54:04 +0300

barry (0.15-1ubuntu1) lucid; urgency=low

  * Merge from debian testing (LP: #426716), remaining changes:
    - debian/barry-util.preinst:
      + Remove old rules,path if unmodified
    - debian/barry-util.postinst:
      + Otherwise move to new path
    - debian/control:
      + Update udev dependency

 -- Bhavani Shankar <right2bhavi@gmail.com>  Fri, 06 Nov 2009 17:54:31 +0530

barry (0.15-1) unstable; urgency=low

  * New Upstream Version
    + Adds support for Curve 8900 (Closes: #524677)
  * Ack NMU. Thanks to Cyril Brulebois for it.
  * Updated patches:
     - fix-ftbfs-with-new-boost.diff: deleted, fixed upstream.
     - fix-ftbfs-with-gcc-4.4.diff: updated
  * debian/rules:
    + Install udev files from its new location.
    + Use .conf for modprobe config files (Closes: #518571)
  * debian/barry-util.install: do not try to install removed bs11nread util

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat, 29 Aug 2009 22:57:03 +0200

barry (0.14-2.1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes: LP: #401296
    - debian/rules:
      + Install udev rules into /lib/udev/rules.d now
      + Install modprobe file as blacklist-berry_charge.conf
    - debian/barry-util.preinst:
      + Remove old rules,path if unmodified
    - debian/barry-util.postinst:
      + Otherwise move to new path
    - debian/control:
      + Update udev dependency  

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sun, 19 Jul 2009 12:21:14 +0530

barry (0.14-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with new boost (>= 1.37.0) by using the “-mt” suffix for
    boost libraries since starting with this version, only this variant
    is available (Closes: #529722). Add the following patch:
     - fix-ftbfs-with-new-boost.diff (thanks to Steve M. Robbins)
  * Fix FTBFS with gcc-4.4 (Closes: #505342):
     - fix-ftbfs-with-gcc-4.4.diff (thanks to Martin Michlmayr)
  * debian/rules: Add the simple-patchsys.mk include to get both patches
    applied.
  * Set urgency to “medium”, both bugs affect testing too.
  * Add ${misc:Depends} to all Depends fields.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 18 Jul 2009 12:54:03 +0200

barry (0.14-2ubuntu2) jaunty; urgency=low

  * debian/rules: install modprobe file as blacklist-berry_charge.conf
  * debian/barry-util.preinst: Remove old path if unmodified
  * debian/barry-util.postinst: Otherwise move to new path

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 05 Mar 2009 20:14:50 +0000

barry (0.14-2ubuntu1) jaunty; urgency=low

  * debian/rules: Install udev rules into /lib/udev/rules.d now

