=== debian/changelog ===
barry (0.18.5-1) unstable; urgency=low

  * New upstream version 0.18.5
  * Removed source/options and source/patch-header, using upstream versions
    instead.

 -- Chris Frey <cdfrey@foursquare.net>  Sun, 17 Nov 2013 17:29:40 -0500

barry (0.18.4-2) unstable; urgency=low

  * Fixed Break/Replace dependency for barry-backup.mo move
  * Removed unnecessary subshell in barry-doc packaging
  * Bumped standards version to 3.9.4 and added default branch to Vcs-Git
  * Added source/options and source/patch-header

 -- Chris Frey <cdfrey@foursquare.net>  Tue, 05 Nov 2013 16:12:40 -0500

barry (0.18.4-1) unstable; urgency=low

  * New upstream version 0.18.4
    - Added barrydesktop.mo and barryosyncwrap.mo files for Desktop
    - Added ppp chatscripts for eMobile Ireland
    - Partial Spanish translation, and updated French translations
    - Fixed potential pppob hang on shutdown
    - Added pty support to pppob with the -t option
    - Fixed device renaming bug in Desktop
    - Added i18n support in various apps, especially the Desktop
    - Fixed missing BXEXPORT for DataQueue library class
    - Fixed incorrect handling of vformat line endings when syncing and
      using MIME formats
    - Added serial number option (-s) to bidentify
    - Added Evolution 3.6 support to EvoSources.cc (only useful for builds
      using OpenSync)
    - Added Bold 9930 ipmodem timeout fix
    - Added support for converting "Calendar - All" databases to MIME
  * New barry-doc package which includes the html user docs (Closes: #582190)
    This adds new php5-cli build dependency.
  * Moved barry-backup.mo from barry-util package to barrybackup-gui

 -- Chris Frey <cdfrey@foursquare.net>  Fri, 04 Apr 2013 14:20:40 -0400

barry (0.18.3-6) unstable; urgency=low

  * Disabled evolution dependency in Desktop build, for upcoming
    evolution 3.8 in sid. (Closes: #722032)

 -- Chris Frey <cdfrey@foursquare.net>  Sun, 08 Sep 2013 15:00:07 -0400
