=== debian/control ===
--- 
+++ 
@@ -32,10 +32,10 @@
 Section: misc
 Priority: optional
 Maintainer: Chris Frey <cdfrey@foursquare.net>
-Build-Depends: debhelper (>= 7.0.0), g++ (>= 4.1), cdbs, autoconf, autoconf-archive, automake, libtool, pkg-config, libusb-dev, libboost-serialization-dev, libxml++2.6-dev, libfuse-dev (>= 2.5), zlib1g-dev, libtar-dev, libglibmm-2.4-dev, libgtkmm-2.4-dev, libglademm-2.4-dev, autopoint | gettext (<< 0.18), libgcal-dev, wx-common, libwxgtk2.8-dev, libsdl-dev, evolution-data-server-dev, libebook1.2-dev, libedata-book1.2-dev, libedata-cal1.2-dev, libedataserver1.2-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7.0.0), g++ (>= 4.1), cdbs, autoconf, autoconf-archive, automake, libtool, pkg-config, libusb-dev, libboost-serialization-dev, libxml++2.6-dev, libfuse-dev (>= 2.5), zlib1g-dev, libtar-dev, libglibmm-2.4-dev, libgtkmm-2.4-dev, libglademm-2.4-dev, autopoint | gettext (<< 0.18), libgcal-dev, wx-common, libwxgtk2.8-dev, libsdl-dev, php5-cli
+Standards-Version: 3.9.4
 Homepage: http://netdirect.ca/barry
-Vcs-Git: git://repo.or.cz/barry.git
+Vcs-Git: git://repo.or.cz/barry.git -b v0.18.x
 Vcs-Browser: http://repo.or.cz/w/barry.git
 
 Package: libbarry18
@@ -97,6 +97,8 @@
 Section: utils
 Architecture: any
 Depends: libbarry18, ${shlibs:Depends}, ${misc:Depends}
+Replaces: barry-util (<< 0.18.4-1)
+Breaks: barry-util (<< 0.18.4-1)
 Description: GTK+ GUI for backing up the RIM BlackBerry Handheld
  Barry is a GPL C++ library for interfacing with the RIM BlackBerry Handheld.
  .
@@ -126,9 +128,9 @@
  Barry is a GPL C++ library for interfacing with the RIM BlackBerry Handheld.
  .
  This package contains the top level Barry Desktop GUI management
- application for backups, syncing with OpenSync 0.2x and 0.4x, modem
- operation, device data migration, and desktop editing of database
- records via the GUI (Address Book, Calendar, Tasks, Memos).
+ application for backups, modem operation, device data migration,
+ and desktop editing of database records via the GUI (Address Book,
+ Calendar, Tasks, Memos).
 
 Package: barrydesktop-dbg
 Section: debug
@@ -141,11 +143,15 @@
  This package contains the debug files for the Barry desktop found in the
  barrydesktop package.
 
-#Package: barry-doc
-#Architecture: all
-#Description: Documentation for barry
-# Barry is a GPL C++ library for interfacing with the RIM BlackBerry Handheld.
-# It comes with a command line tool for exploring the device and for making quick
-# backups. The goal of this project is to create a fully functional syncing
-# mechanism on Linux.
+Package: barry-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Description: End user documentation for Barry Desktop and utilities
+ Barry is a GPL C++ library for interfacing with the RIM BlackBerry Handheld.
+ .
+ This package contains the end-user HTML documentation that comes with the
+ source code and which is also the basis for the documentation available
+ online at http://netdirect.ca/barry.  This package does not include the
+ doxygen documentation.
