=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 #CDBS automatically handles common flags to pass to the configure script,
 #but it is possible to give some extra parameters :
-DEB_CONFIGURE_EXTRA_FLAGS := --enable-boost --enable-nls --with-zlib --enable-gui --enable-desktop --with-guisu=/usr/bin/gksu $(BARRY_CONFIGURE_OPTS) --with-libusb --enable-rpathhack --with-evolution
+DEB_CONFIGURE_EXTRA_FLAGS := --enable-boost --enable-nls --with-zlib --enable-gui --enable-desktop --with-guisu=/usr/bin/gksu $(BARRY_CONFIGURE_OPTS) --with-libusb --enable-rpathhack --without-evolution
 COMMON_CONFIGURE_FLAGS := --prefix=/usr
 DEB_INSTALL_DOCS_ALL =
 
@@ -53,6 +53,7 @@
 		$(DEB_SRCDIR)/ppp/barry-sprint \
 		$(DEB_SRCDIR)/ppp/barry-telus \
 		$(DEB_SRCDIR)/ppp/barry-o2ireland \
+		$(DEB_SRCDIR)/ppp/barry-emobile \
 		$(DEB_SRCDIR)/ppp/barry-tmobileus \
 		$(DEB_SRCDIR)/ppp/barry-att_cingular \
 		$(DEB_SRCDIR)/ppp/barry-chinamobile \
@@ -71,6 +72,7 @@
 		$(DEB_SRCDIR)/ppp/barry-sprint.chat \
 		$(DEB_SRCDIR)/ppp/barry-telus.chat \
 		$(DEB_SRCDIR)/ppp/barry-o2ireland.chat \
+		$(DEB_SRCDIR)/ppp/barry-emobile.chat \
 		$(DEB_SRCDIR)/ppp/barry-tmobileus.chat \
 		$(DEB_SRCDIR)/ppp/barry-att_cingular.chat \
 		$(DEB_SRCDIR)/ppp/barry-chinamobile.chat \
@@ -116,6 +118,14 @@
 	install -d $(CURDIR)/debian/barrydesktop/usr/share/applications
 	install -m 0644 $(DEB_SRCDIR)/menu/barrydesktop.desktop $(CURDIR)/debian/barrydesktop/usr/share/applications
 
+install/barry-doc::
+	# Build the static version of the docs
+	cp -a $(DEB_SRCDIR)/doc/www $(CURDIR)/debian
+	cd $(CURDIR)/debian/www && ./static.sh
+	# Install to share/doc
+	install -d $(CURDIR)/debian/barry-doc/usr/share/doc/barry-doc/www
+	install -m 0644 $(CURDIR)/debian/www/*.html $(CURDIR)/debian/www/*.png $(CURDIR)/debian/www/*.css $(CURDIR)/debian/barry-doc/usr/share/doc/barry-doc/www
+
 post-patches::
 	@rm -f $(CURDIR)/deb_srcdir
 	@ln -s $(DEB_SRCDIR) $(CURDIR)/deb_srcdir
